<script lang="ts">
import Vue from 'vue';
import { CtfButton } from '../../models/content-types.dto';

export default Vue.extend({
  name: 'GradientHero',
  props: {
    title: {
      type: String,
      required: true,
    },
    subtitle: {
      type: String,
      required: true,
    },
    primaryButton: {
      type: Object as () => CtfButton,
      required: false,
      default: null,
    },
    secondaryButton: {
      type: Object as () => CtfButton,
      required: false,
      default: null,
    },
  },
});
</script>

<template>
  <section class="gradient-hero">
    <SlpContainer>
      <SlpTypography
        tag="h1"
        variant="heading1-bold"
        class="slp-mb-24 slp-mt-24"
      >
        {{ title }}</SlpTypography
      >
      <SlpTypography tag="p" variant="heading5" class="slp-mb-24">
        {{ subtitle }}
      </SlpTypography>
      <div class="gradient-hero__buttons">
        <SlpButton
          v-if="primaryButton"
          variant="primary"
          :href="primaryButton.externalUrl"
          :data-ga-name="primaryButton.dataGaName"
          :data-ga-location="primaryButton.dataGaLocation"
          class="slp-mb-16"
        >
          {{ primaryButton.text }}
          <SlpIcon
            v-if="primaryButton.iconName"
            size="sm"
            class="slp-ml-8"
            :variant="primaryButton.iconVariant"
            :name="primaryButton.iconName"
          />
        </SlpButton>
        <SlpButton
          v-if="secondaryButton"
          class="slp-md-ml-16 slp-mb-16 slp-ml-0"
          variant="primary"
          :href="secondaryButton.externalUrl"
          :data-ga-name="secondaryButton.dataGaName"
          :data-ga-location="secondaryButton.dataGaLocation"
        >
          {{ secondaryButton.text }}
          <SlpIcon
            v-if="secondaryButton.iconName"
            size="sm"
            class="slp-ml-8"
            :variant="secondaryButton.iconVariant"
            :name="secondaryButton.iconName"
          />
        </SlpButton>
      </div>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.gradient-hero {
  padding: $spacing-96 0;
  background: linear-gradient(
    90deg,
    #eee7fd 2.53%,
    rgba(246, 243, 254, 0.83) 50.98%,
    rgba(255, 212, 216, 0.45) 100%
  );

  @media (max-width: $breakpoint-md) {
    background: linear-gradient(
      90deg,
      #eee7fd 2.53%,
      rgba(246, 243, 254, 0.83) 50.98%,
      rgba(255, 212, 216, 0.45) 100%
    );
  }
}
</style>
